#include <iostream>
#include<string>

using namespace std;
int main()
{
string jedan,dva,tri;
cin>>jedan>>dva>>tri;
if(jedan>dva)
swap (jedan,dva);
if(dva>tri)
swap (dva,tri);
if(jedan>tri)
swap(jedan,tri);
cout<<jedan<<dva<<tri<<endl;
}